# Get availability — API reference

> Returns availability data for a monitor.

Source: https://upfour.io/docs/api/monitors/get-availability

[Developers](https://upfour.io/docs/api.md)/[Monitors](https://upfour.io/docs/api/monitors.md)

Returns availability data for a monitor.

GET https://app.upfour.io/v1/monitors/{monitorID}/availability

scope monitor.read stable returns 200

## Parameters

| Field | Type | Description |
| --- | --- | --- |
| `monitorID` required | uuid | path parameter |

## Returns

A successful request returns `200` with application/json.

Response fields 2 top-level fields

| Field | Type | Description |
| --- | --- | --- |
| `data` | AvailabilityPeriod[]  · nullable | |
| Each item · 14 fields FieldTypeDescription `covered` boolean `downtime_seconds` integer `elapsed_seconds` integer `ends_at` string (date-time) `failed_checks` integer `longest_outage_seconds` integer `outages` integer `period` string `starts_at` string (date-time)  · nullable `total_checks` integer `uptime_percentage` number `watching_since` string (date-time) `consistency_error` string `paused_seconds` integer | | |
| `pagination` | Pagination | |
| Pagination · 5 fields FieldTypeDescription `cursor` string  · nullable `has_more` boolean `limit` integer 1–250 `next_cursor` string  · nullable `prev_cursor` string  · nullable | | |

## Errors

Only the errors this operation can return. Every error uses the [same envelope](https://upfour.io/docs/api/responses.md).

| Status | Code | Meaning |
| --- | --- | --- |
| 400 | [bad_request](https://upfour.io/docs/api/errors#code-bad_request) | The request is malformed or fails validation. |
| 404 | [not_found](https://upfour.io/docs/api/errors#code-not_found) | The requested resource does not exist or is outside the caller's scope. |

Every call can also return `unauthorized` (401), `rate_limit_exceeded` (429) or `internal_error` (500 / 502). See [Responses and errors](https://upfour.io/docs/api/responses.md).

[PreviousList check results](https://upfour.io/docs/api/monitors/list-check-results.md) [NextGet response times](https://upfour.io/docs/api/monitors/get-response-times.md)

## Request

### cURL

```bash
curl -s "https://app.upfour.io/v1/monitors/00000000-0000-4000-8000-000000000001/availability" \
  -H "Authorization: Bearer $UP4_API_KEY"
```

### JavaScript

```javascript
const res = await fetch("https://app.upfour.io/v1/monitors/00000000-0000-4000-8000-000000000001/availability", {
  headers: {
    Authorization: `Bearer ${process.env.UP4_API_KEY}`,
  },
});
console.log(res.status, await res.json());
```

### Python

```python
import os
import requests

res = requests.get(
    "https://app.upfour.io/v1/monitors/00000000-0000-4000-8000-000000000001/availability",
    headers={"Authorization": f"Bearer {os.environ['UP4_API_KEY']}"},
)
print(res.status_code, res.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"os"
)

func main() {
	req, _ := http.NewRequest("GET", "https://app.upfour.io/v1/monitors/00000000-0000-4000-8000-000000000001/availability", nil)
	req.Header.Set("Authorization", "Bearer "+os.Getenv("UP4_API_KEY"))
	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()
	out, _ := io.ReadAll(res.Body)
	fmt.Println(res.StatusCode, string(out))
}
```

### PHP

```php
<?php
$ch = curl_init("https://app.upfour.io/v1/monitors/00000000-0000-4000-8000-000000000001/availability");
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        "Authorization: Bearer " . getenv("UP4_API_KEY"),
    ],
]);
$response = curl_exec($ch);
echo curl_getinfo($ch, CURLINFO_RESPONSE_CODE), " ", $response, "\n";
curl_close($ch);
```

## Response

### 200

```json
{
  "data": [
    {
      "covered": false,
      "downtime_seconds": 0,
      "elapsed_seconds": 61200,
      "ends_at": "2026-10-27T09:00:00Z",
      "failed_checks": 0,
      "longest_outage_seconds": 0,
      "outages": 0,
      "period": "today",
      "starts_at": "2026-10-26T15:55:00Z",
      "total_checks": 0,
      "uptime_percentage": 0,
      "watching_since": "2026-10-27T09:00:00Z"
    },
    {
      "covered": false,
      "downtime_seconds": 0,
      "elapsed_seconds": 608400,
      "ends_at": "2026-10-27T09:00:00Z",
      "failed_checks": 0,
      "longest_outage_seconds": 0,
      "outages": 0,
      "period": "7d",
      "starts_at": "2026-10-20T08:00:00Z",
      "total_checks": 0,
      "uptime_percentage": 0,
      "watching_since": "2026-10-27T09:00:00Z"
    },
    {
      "covered": false,
      "downtime_seconds": 0,
      "elapsed_seconds": 2595600,
      "ends_at": "2026-10-27T09:00:00Z",
      "failed_checks": 0,
      "longest_outage_seconds": 0,
      "outages": 0,
      "period": "30d",
      "starts_at": "2026-09-27T08:00:00Z",
      "total_checks": 0,
      "uptime_percentage": 0,
      "watching_since": "2026-10-27T09:00:00Z"
    },
    {
      "covered": false,
      "downtime_seconds": 0,
      "elapsed_seconds": 7779600,
      "ends_at": "2026-10-27T09:00:00Z",
      "failed_checks": 0,
      "longest_outage_seconds": 0,
      "outages": 0,
      "period": "90d",
      "starts_at": "2026-07-29T08:00:00Z",
      "total_checks": 0,
      "uptime_percentage": 0,
      "watching_since": "2026-10-27T09:00:00Z"
    },
    {
      "covered": false,
      "downtime_seconds": 0,
      "elapsed_seconds": 31536000,
      "ends_at": "2026-10-27T09:00:00Z",
      "failed_checks": 0,
      "longest_outage_seconds": 0,
      "outages": 0,
      "period": "365d",
      "starts_at": "2025-10-27T09:00:00Z",
      "total_checks": 0,
      "uptime_percentage": 0,
      "watching_since": "2026-10-27T09:00:00Z"
    },
    {
      "covered": false,
      "downtime_seconds": 0,
      "elapsed_seconds": 0,
      "ends_at": "2026-10-27T09:00:00Z",
      "failed_checks": 0,
      "longest_outage_seconds": 0,
      "outages": 0,
      "period": "all",
      "starts_at": null,
      "total_checks": 0,
      "uptime_percentage": 0,
      "watching_since": "2026-10-27T09:00:00Z"
    }
  ],
  "pagination": {
    "cursor": null,
    "has_more": false,
    "limit": 50,
    "next_cursor": null,
    "prev_cursor": null
  }
}
```

### 400

```json
{
  "error": {
    "code": "bad_request",
    "message": "The request is malformed or fails validation.",
    "request_id": "req_…"
  }
}
```

### 404

```json
{
  "error": {
    "code": "not_found",
    "message": "The requested resource does not exist or is outside the caller's scope.",
    "request_id": "req_…"
  }
}
```
